{ mkDerivation, base, base16, bytestring, fetchgit, hedgehog, lib
, libsodium-bindings, tasty, tasty-hunit, text, text-display
}:
mkDerivation {
  pname = "sel";
  version = "0.0.1.0";
  src = fetchgit {
    url = "https://github.com/haskell-cryptography/libsodium-bindings";
    sha256 = "0r7mn8800gpqc2p96lxsxm7xjbrkq5sdiybj8fqil9inw2w3n445";
    rev = "1cc2049b7eceb02c28cc4e9390bdf86b8914941a";
    fetchSubmodules = true;
  };
  postUnpack = "sourceRoot+=/sel/; echo source root reset to $sourceRoot";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base base16 bytestring libsodium-bindings text text-display
  ];
  testHaskellDepends = [
    base base16 bytestring hedgehog libsodium-bindings tasty
    tasty-hunit text
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/haskell-cryptography/libsodium-bindings";
  description = "Cryptography for the casual user";
  license = lib.licenses.bsd3;
  broken = false;
}